This is unreleased documentation for Parallel Developer Documentation **Next 🚧** version.

For up-to-date documentation, see the **[latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/comments/list)** (Current – v2.x).

Version: Next 🚧

This endpoint can be used to obtain the list of comments for a specific individual or business record.

### HTTP Request
`GET https://api.parallelmarkets.com/v2/partner-records/{id}/comments`

- `{id}` \- the individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/next/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.

### Query Parameters
[Pagination request parameters](https://developer.parallelmarkets.com/docs/next/server/case-management-api/introduction#pagination) (optional).

### Response Parameters

| Parameter | Description |
| --- | --- |
| `data` | An array of [Record Comment](https://developer.parallelmarkets.com/docs/next/server/data-structures#record-comment) objects, sorted in ascending order of the `created_at` date. |
| `pagination` | A [Pagination](https://developer.parallelmarkets.com/docs/next/server/case-management-api/introduction#pagination) object containing a `next_cursor` value that can be used in a subsequent API call to obtain the next page of records. |

### Example Response
```json
{
  "data": [
    {
      "text": "Here is a comment",
      "source": "user",
      "created_at": "2025-01-27T16:33:42Z",
      "created_by": {
        "email": "case-reviewer@safeharb.or",
        "last_name": "Ramsay",
        "first_name": "Reviewer"
      }
    },
    {
      "text": "This is another comment created via the API.",
      "source": "api",
      "created_at": "2025-01-27T18:11:45Z",
      "created_by": null
    }
  ],
  "pagination": {
    "next_cursor": "MTIzNDU="
  }
}
```
